io.agora.rtc

## Enum Constants.BytesPerSample

- java.lang.Object
- - java.lang.Enum<Constants.BytesPerSample>
  - - io.agora.rtc.Constants.BytesPerSample

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.BytesPerSample>
  Enclosing class:
    Constants

      public static enum Constants.BytesPerSample
      extends java.lang.Enum<Constants.BytesPerSample>

  Bytes per sample.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TWO_BYTES_PER_SAMPLE` Two bytes per sample.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the bytes per sample

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.BytesPerSample` | `fromInt(int value)` Converts an integer value to its corresponding BytesPerSample enum constant.
    `int` | `getValue()` Gets the integer value of the bytes per sample.
    `static Constants.BytesPerSample` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.BytesPerSample[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TWO_BYTES_PER_SAMPLE

          public static final Constants.BytesPerSample TWO_BYTES_PER_SAMPLE

      Two bytes per sample.

  - ### Field Detail

    - #### value

          private final int value

      Integer value of the bytes per sample

  - ### Method Detail

    - #### values

          public static Constants.BytesPerSample[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.BytesPerSample c : Constants.BytesPerSample.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.BytesPerSample valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value of the bytes per sample.
      Returns:
        The integer value.

    - #### fromInt

          public static Constants.BytesPerSample fromInt(int value)

      Converts an integer value to its corresponding BytesPerSample enum constant.
      Parameters:
        `value` - The integer value.
      Returns:
        The corresponding BytesPerSample, or null if the value is not found.